#if !defined(AFX_DLGOPTIONS_H__AD2C0D80_766B_11D3_BAC9_000021502136__INCLUDED_)
#define AFX_DLGOPTIONS_H__AD2C0D80_766B_11D3_BAC9_000021502136__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DlgOptions.h : Header-Datei
//

/////////////////////////////////////////////////////////////////////////////
// Dialogfeld CDlgOptions 
#include "History.h"
#include "StdAfx.h"	// Hinzugefgt von der Klassenansicht
#include "mysql1.h"

class CDlgOptions : public CDialog
{
// Konstruktion
public:
	BOOL GetDatabaseConfig(DATABASE &m_database);
	static BOOL GetDatabaseParams(CString cfgfile, DATABASE &m_database);
	CDlgOptions(CHistory * history, CWnd* pParent = NULL);   // Standardkonstruktor
	BOOL m_server_changed;

// Dialogfelddaten
	//{{AFX_DATA(CDlgOptions)
	enum { IDD = IDD_OPTIONS };
	CEdit	m_ctlHistory;
	CComboBox	m_cbCfgServer;
	UINT	m_history_limit;
	BOOL	m_history;
	CString	m_server_new;
	BOOL	m_ping;
	//}}AFX_DATA


// berschreibungen
	// Vom Klassen-Assistenten generierte virtuelle Funktionsberschreibungen
	//{{AFX_VIRTUAL(CDlgOptions)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV-Untersttzung
	//}}AFX_VIRTUAL

// Implementierung
protected:

	// Generierte Nachrichtenzuordnungsfunktionen
	//{{AFX_MSG(CDlgOptions)
	afx_msg void OnDeleteHistory();
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnHistory();
	afx_msg void OnChangeServerNew();
	afx_msg void OnServerRemove();
	afx_msg void OnServerAdd();
	afx_msg void OnSelchangeRemoteConfig();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	void ReadConfig();
	CHistory * m_hist;
	// array with available servers
	CArray <CString, CString> m_cfgserver;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // AFX_DLGOPTIONS_H__AD2C0D80_766B_11D3_BAC9_000021502136__INCLUDED_
