// ListCtrlHelper.h: Schnittstelle fr die Klasse CListCtrlHelper.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_LISTCTRLHELPER_H__5CD51EA2_735D_11D3_BAC9_000021502136__INCLUDED_)
#define AFX_LISTCTRLHELPER_H__5CD51EA2_735D_11D3_BAC9_000021502136__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CListCtrlHelper  
{
public:
	void AddRow(int index, CString path, int icon, CString size, CString host,
				CString type);
	void DeleteStringTable();
	int GetIndexIcon(CString &filename);
	void GetRegistryValue(HKEY root, CString path, CString key, CString &value);
	void SetRegistryValue(HKEY root, CString path, CString key, CString value);
	int RetrieveURLs(URL_ARRAY &urls);
	void DeleteCache(CString path, int num);
	BOOL FileToListControl(int num, unsigned int &first);
	BOOL ListControlToFile(CStdioFile &file, unsigned int first);
	BOOL ListControlToHTMLFile(CStdioFile &file, CString search, unsigned int first);
	CString GetSmartFileSize(unsigned int filesize);
	double GetFileSize(CString filesize);
	CListCtrlHelper(CListCtrl *lc, HINSTANCE hinstance);
	virtual ~CListCtrlHelper();

protected:
	CString EntryToUNC(int nItem);
	CListCtrl * m_plc;
	CMap <CString, LPCTSTR, int, int> m_map;
	CImageList * m_images;
	HINSTANCE m_hinstance;
};

#endif // !defined(AFX_LISTCTRLHELPER_H__5CD51EA2_735D_11D3_BAC9_000021502136__INCLUDED_)
