// MySql1.h: Schnittstelle fr die Klasse CMySql.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MYSQL1_H__006D8B80_6C7C_11D3_BAC9_000021502136__INCLUDED_)
#define AFX_MYSQL1_H__006D8B80_6C7C_11D3_BAC9_000021502136__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include "mysql.h"

class CMySql  
{
public:
	BOOL GetNextRow(MYSQL_ROW &row, BOOL &isValid);
	BOOL GetResultStats(unsigned int &cols, unsigned int &rows);
	BOOL Query(CString querystring);
	CMySql(CString host, CString user, CString password, CString database,
		   unsigned int port = 3306, BOOL compression = FALSE, unsigned int timeout = 1);
	virtual ~CMySql();
	void LastError(CString &errormsg);

private:
	bool m_ping_success;
	MYSQL_RES *m_result;
	BOOL IsServerAlive();
	void GetLastError();
	CString m_lasterror;
	BOOL ConnectToHost();
	char m_timeout;
	//unsigned int m_timeout;
	BOOL m_compression;
	unsigned int m_port;
	CString m_database;
	CString m_password;
	CString m_user;
	CString m_host;
	MYSQL m_mysql;
};

#endif // !defined(AFX_MYSQL1_H__006D8B80_6C7C_11D3_BAC9_000021502136__INCLUDED_)
