// ListCtrlHelper.h: Schnittstelle fr die Klasse CListCtrlHelper.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ListCtrlHELPER_H__5CD51EA0_735D_11D3_BAC9_000021502136__INCLUDED_)
#define AFX_ListCtrlHELPER_H__5CD51EA0_735D_11D3_BAC9_000021502136__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CListCtrlHelper  
{
public:
	void GetRegistryValue(HKEY root, CString path, CString key, CString &value);
	void SetRegistryValue(HKEY root, CString path, CString key, CString value);
	int RetrieveURLs(URL_ARRAY &urls);
	void DeleteCache(CString path, int num);
	BOOL FileToListControl(CListCtrl *list, int num);
	BOOL ListControlToFile(CStdioFile &file);
	CString GetSmartFileSize(unsigned int filesize);
	CListCtrlHelper(CListCtrl *lb);
	virtual ~CListCtrlHelper();

private:
	CListCtrl * m_plb;
};

#endif // !defined(AFX_ListCtrlHELPER_H__5CD51EA0_735D_11D3_BAC9_000021502136__INCLUDED_)
